<table border='1'>
<tr>
<th>Class name</th>
<th>Method name</th>
<th>Groups</th>
</tr><tr>
<td>testCases.booking.PostBookingPositive</td>
<td>&nbsp;</td><td>&nbsp;</td></tr>
<tr>
<td align='center' colspan='3'>@Test</td>
</tr>
<tr>
<td>&nbsp;</td>
<td>postBooking</td>
<td>&nbsp;</td></tr>
<tr>
<td align='center' colspan='3'>@BeforeClass</td>
</tr>
<tr>
<td align='center' colspan='3'>@BeforeMethod</td>
</tr>
<tr>
<td align='center' colspan='3'>@AfterMethod</td>
</tr>
<tr>
<td align='center' colspan='3'>@AfterClass</td>
</tr>
<tr>
<td>testCases.booking.GetBookingPositive</td>
<td>&nbsp;</td><td>&nbsp;</td></tr>
<tr>
<td align='center' colspan='3'>@Test</td>
</tr>
<tr>
<td>&nbsp;</td>
<td>getBookingsWithIdAndDate</td>
<td>&nbsp;</td></tr>
<tr>
<td>&nbsp;</td>
<td>getBookingsWithDate</td>
<td>&nbsp;</td></tr>
<tr>
<td>&nbsp;</td>
<td>getBookingsWithId</td>
<td>&nbsp;</td></tr>
<tr>
<td align='center' colspan='3'>@BeforeClass</td>
</tr>
<tr>
<td align='center' colspan='3'>@BeforeMethod</td>
</tr>
<tr>
<td align='center' colspan='3'>@AfterMethod</td>
</tr>
<tr>
<td align='center' colspan='3'>@AfterClass</td>
</tr>
<tr>
<td>testCases.booking.GetBookingNegative</td>
<td>&nbsp;</td><td>&nbsp;</td></tr>
<tr>
<td align='center' colspan='3'>@Test</td>
</tr>
<tr>
<td>&nbsp;</td>
<td>getBookingWithWrongDate</td>
<td>&nbsp;</td></tr>
<tr>
<td>&nbsp;</td>
<td>getBookingWithEmptyIdAndDate</td>
<td>&nbsp;</td></tr>
<tr>
<td align='center' colspan='3'>@BeforeClass</td>
</tr>
<tr>
<td align='center' colspan='3'>@BeforeMethod</td>
</tr>
<tr>
<td align='center' colspan='3'>@AfterMethod</td>
</tr>
<tr>
<td align='center' colspan='3'>@AfterClass</td>
</tr>
<tr>
<td>testCases.user.GetUserPositive</td>
<td>&nbsp;</td><td>&nbsp;</td></tr>
<tr>
<td align='center' colspan='3'>@Test</td>
</tr>
<tr>
<td>&nbsp;</td>
<td>getAllUsers</td>
<td>&nbsp;</td></tr>
<tr>
<td>&nbsp;</td>
<td>getUser</td>
<td>&nbsp;</td></tr>
<tr>
<td align='center' colspan='3'>@BeforeClass</td>
</tr>
<tr>
<td align='center' colspan='3'>@BeforeMethod</td>
</tr>
<tr>
<td align='center' colspan='3'>@AfterMethod</td>
</tr>
<tr>
<td align='center' colspan='3'>@AfterClass</td>
</tr>
<tr>
<td>testCases.user.GetUserNegative</td>
<td>&nbsp;</td><td>&nbsp;</td></tr>
<tr>
<td align='center' colspan='3'>@Test</td>
</tr>
<tr>
<td>&nbsp;</td>
<td>getUserWithWrongId</td>
<td>&nbsp;</td></tr>
<tr>
<td>&nbsp;</td>
<td>getUserWithEmptyId</td>
<td>&nbsp;</td></tr>
<tr>
<td align='center' colspan='3'>@BeforeClass</td>
</tr>
<tr>
<td align='center' colspan='3'>@BeforeMethod</td>
</tr>
<tr>
<td align='center' colspan='3'>@AfterMethod</td>
</tr>
<tr>
<td align='center' colspan='3'>@AfterClass</td>
</tr>
<tr>
<td>testCases.booking.PostBookingNegative</td>
<td>&nbsp;</td><td>&nbsp;</td></tr>
<tr>
<td align='center' colspan='3'>@Test</td>
</tr>
<tr>
<td>&nbsp;</td>
<td>postBookingWithWrongId</td>
<td>&nbsp;</td></tr>
<tr>
<td>&nbsp;</td>
<td>postBookingWithEmptyOrigin</td>
<td>&nbsp;</td></tr>
<tr>
<td>&nbsp;</td>
<td>postBookingWithWrongDate</td>
<td>&nbsp;</td></tr>
<tr>
<td>&nbsp;</td>
<td>postBookingWithEmptyDate</td>
<td>&nbsp;</td></tr>
<tr>
<td>&nbsp;</td>
<td>postBookingWithWrongDestination</td>
<td>&nbsp;</td></tr>
<tr>
<td>&nbsp;</td>
<td>postBookingWithEmptyId</td>
<td>&nbsp;</td></tr>
<tr>
<td>&nbsp;</td>
<td>postBookingWithEmptyDestination</td>
<td>&nbsp;</td></tr>
<tr>
<td>&nbsp;</td>
<td>postBookingWithWrongOrigin</td>
<td>&nbsp;</td></tr>
<tr>
<td align='center' colspan='3'>@BeforeClass</td>
</tr>
<tr>
<td align='center' colspan='3'>@BeforeMethod</td>
</tr>
<tr>
<td align='center' colspan='3'>@AfterMethod</td>
</tr>
<tr>
<td align='center' colspan='3'>@AfterClass</td>
</tr>
<tr>
<td>testCases.user.PostUserPositive</td>
<td>&nbsp;</td><td>&nbsp;</td></tr>
<tr>
<td align='center' colspan='3'>@Test</td>
</tr>
<tr>
<td>&nbsp;</td>
<td>postUser</td>
<td>&nbsp;</td></tr>
<tr>
<td align='center' colspan='3'>@BeforeClass</td>
</tr>
<tr>
<td align='center' colspan='3'>@BeforeMethod</td>
</tr>
<tr>
<td align='center' colspan='3'>@AfterMethod</td>
</tr>
<tr>
<td align='center' colspan='3'>@AfterClass</td>
</tr>
<tr>
<td>testCases.user.PostUserNegative</td>
<td>&nbsp;</td><td>&nbsp;</td></tr>
<tr>
<td align='center' colspan='3'>@Test</td>
</tr>
<tr>
<td>&nbsp;</td>
<td>postUserWithEmptyEmail</td>
<td>&nbsp;</td></tr>
<tr>
<td>&nbsp;</td>
<td>postUserWithEmptyName</td>
<td>&nbsp;</td></tr>
<tr>
<td>&nbsp;</td>
<td>postUserWithEmptyNameAndEmail</td>
<td>&nbsp;</td></tr>
<tr>
<td align='center' colspan='3'>@BeforeClass</td>
</tr>
<tr>
<td align='center' colspan='3'>@BeforeMethod</td>
</tr>
<tr>
<td align='center' colspan='3'>@AfterMethod</td>
</tr>
<tr>
<td align='center' colspan='3'>@AfterClass</td>
</tr>
</table>
